complexType "CreditLimitReport"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 attributes, 9 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, creditLimitInformation*, (party*, account*)?
</...>

Content Model Elements (9):

  account, correlationId, creditLimitInformation (in creditLimitReport), header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party, sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  creditLimitReport

Known Usage Locations

- As direct type of elements (1):
  creditLimitReport

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) CreditLimitReport

XML Source (see within schema source)

<xsd:complexType name="CreditLimitReport"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformation"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/9)
creditLimitInformation

  Type: | CreditLimitInformation, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitInformation" type="CreditLimitInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.